@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
flash.h File Reference
`#include "pico.h"`
Include dependency graph for flash.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | flash_safety_helper_t

## Macros

#define | PICO_FLASH_ASSERT_ON_UNSAFE 1
#define | PICO_FLASH_ASSUME_CORE0_SAFE 0
#define | PICO_FLASH_ASSUME_CORE1_SAFE 0

## Functions

bool | flash_safe_execute_core_init (void)
| Initialize a core such that the other core can lock it out during flash_safe_execute.
bool | flash_safe_execute_core_deinit (void)
| De-initialize work done by flash_safe_execute_core_init.
int | flash_safe_execute (void(*func)(void *), void *param, uint32_t enter_exit_timeout_ms)
| Execute a function with IRQs disabled and with the other core also not executing/reading flash.
flash_safety_helper_t * | get_flash_safety_helper (void)
| Internal method to return the flash safety helper implementation.